MPIR_Type_get_contents(3)

NAME
MPIR_Type_get_contents - get content information from datatype

SYNOPSIS
int MPIR_Type_get_contents(MPI_Datatype datatype,
int max_integers,
int max_addresses,
int max_datatypes,
int array_of_integers[],
MPI_Aint array_of_addresses[], MPI_Datatype array_of_datatypes[])

INPUT PARAMETERS
datatype
    - MPI datatype
max_integers
    - size of array_of_integers
max_addresses
    - size of array_of_addresses
max_datatypes
    - size of array_of_datatypes

OUTPUT PARAMETERS
array_of_integers
    - integers used in creating type
array_of_addresses
    - MPI_Aints used in creating type
array_of_datatypes
    - MPI_Datatypes used in creating type